#!/bin/sh

./graph-iptables-save.pl --noshowrules \
         --table filter \
	 iptables-save-template.txt \
	 > iptables-save-template-filter.dot
./graph-iptables-save.pl --noshowrules  \
         --table nat \
	 iptables-save-template.txt \
	 > iptables-save-template-nat.dot
./graph-iptables-save.pl --noshowrules  \
         --table mangle \
	 iptables-save-template.txt \
	 > iptables-save-template-mangle.dot
./graph-iptables-save.pl --noshowrules  \
         --table raw \
	 -save-template.txt \
	 > iptables-save-template-raw.dot

echo = dot filter =
dot -Tpdf iptables-save-template-filter.dot -o iptables-save-model-filter.pdf
dot -Tpng iptables-save-template-filter.dot -o iptables-save-model-filter.png
echo = dot nat =
dot -Tpdf iptables-save-template-nat.dot -o iptables-save-model-nat.pdf
dot -Tpng iptables-save-template-nat.dot -o iptables-save-model-nat.png
echo = dot mangle =
dot -Tpdf iptables-save-template-mangle.dot -o iptables-save-model-mangle.pdf
dot -Tpng iptables-save-template-mangle.dot -o iptables-save-model-mangle.png
echo = dot raw =
dot -Tpdf iptables-save-template-raw.dot -o iptables-save-model-raw.pdf
dot -Tpng iptables-save-template-raw.dot -o iptables-save-model-raw.png
