#!/bin/sh

./graph-iptables-save.pl --table filter iptables-save.txt > iptables-save-filter.dot
./graph-iptables-save.pl --table nat iptables-save.txt > iptables-save-nat.dot
./graph-iptables-save.pl --table mangle iptables-save.txt > iptables-save-mangle.dot
./graph-iptables-save.pl --table raw iptables-save.txt > iptables-save-raw.dot

echo = dot filter =
dot -Tpdf iptables-save-filter.dot -o iptables-save-filter.pdf
dot -Tpdf iptables-save-template-filter.dot -o iptables-save-template-filter.pdf
echo = dot nat =
dot -Tpdf iptables-save-nat.dot -o iptables-save-nat.pdf
dot -Tpdf iptables-save-template-nat.dot -o iptables-save-template-nat.pdf
echo = dot mangle =
dot -Tpdf iptables-save-mangle.dot -o iptables-save-mangle.pdf
dot -Tpdf iptables-save-template-mangle.dot -o iptables-save-template-mangle.pdf
echo = dot raw =
dot -Tpdf iptables-save-raw.dot -o iptables-save-raw.pdf
dot -Tpdf iptables-save-template-raw.dot -o iptables-save-template-raw.pdf
